# -*- coding: utf-8 -*-

from taxipp.utils.general_utils import ipp_colors


label_by_variable = dict(
    aefa="AEFA",
    aides_logement="Aides au logement",
    af="AF",
    ars="ARS",
    aspa="ASPA",
    ass="ASS",
    baseline_average_tax_rate="Taux moyen de taxation (avant réforme)",
    baseline_marginal_tax_rate="Taux marginal de taxation (avant réforme)",
    chomage_net="Revenus du chomage net",
    cotisations_salariales="Cotisations salariales",
    cotisations_salariales_menage="Cot. soc.",
    cotisations_salariales_menage_positifs="Cotisations sociales",
    credit_impot_familial="Revenu universel",
    csg_crds="CSG et CRDS",
    f2dc="Dividendes",
    impots_directs="Impôts directs",
    impots_directs_positif="Impôts directs",
    impots_directs_negatif="Impôts directs (si restitution)",
    impot_revenu_individuel="Impôt individuel",
    minima_sociaux="Minima sociaux",
    negative_income_tax="Impôt négatif",
    pensions_nettes="Pensions nettes",
    ppa="Prime d'Activité",
    ppa_bonification2_fictive="PPA (bonus 2)",
    ppa_hors_bonification2="PPA (hors bonif)",
    ppe="PPE",
    prelevements_sociaux_menage="Prélèvements sociaux",
    prelevements_sociaux_revenus_capital="Prélèvements sociaux (rev. capital)",
    prestations_familiales="Prestations familiales",
    prestation_unifiee="Prestation unifiée",
    prestations_sociales="Prestations sociales",
    reduction_loyer_solidarite="RLS",
    ref_revenu_disponible="Revenu disponible (avant réforme)",
    reform_average_tax_rate="Taux moyen de taxation (après réforme)",
    reform_marginal_tax_rate="Taux marginal de taxation (après réforme)",
    reform_revenu_disponible="Revenu disponible (après réforme)",
    revenus_nets_du_capital="Revenu du capital net de prélèvements sociaux",
    revenus_nets_du_capital_net_impots_directs="Revenu du capital net d'impôts",
    revenus_nets_du_travail="Revenus du travail",
    revenus_nets_du_travail_net_impots_directs="Revenu du travail net d'impôts",
    revenu_disponible="Revenu disponible",
    revenu_net_en_smic="Revenu net (en part de SMIC net)",  # variable en abscisse
    rsa="Revenu de Solidarité Active",
    salaire_de_base="Revenu brut du travail",
    salaire_net="Salaire net",
    taxe_negative="Taxe négative",
)

label_by_denominator = dict(
    smic_brut="SMIC brut",
    smic_net="SMIC net",
)

color_by_variable = {
    # https://matplotlib.org/examples/color/named_colors.html
    "AEFA": "darkorchid",
    "AF": "plum",
    "Aides au logement": "mediumaquamarine",
    "ARS": "fuchsia",
    "ASPA": "greenyellow",
    "ASS": "greenyellow",
    "Cot. soc.": "rosybrown",
    "Cotisations salariales": "rosybrown",
    "Cotisations sociales": "rosybrown",
    "CSG et CRDS": "crimson",
    "Dividendes": ipp_colors["ipp_blue"],
    "Impôts directs": "gray",
    "Impôts directs (si restitution)": "purple",
    "Impôt individuel": "gray",
    "Impôt négatif": "gray",
    "Impôt sur le revenu": "gray",
    "Minima sociaux": "deepskyblue",
    "Pensions nettes": ipp_colors["ipp_blue"],
    "Prime d'Activité": "darksalmon",
    "PPA (bonus 2)": "green",
    "PPA (hors bonif)": "red",
    "Prélèvements sociaux": "crimson",
    "Prélèvements sociaux (rev. capital)": "crimson",
    "Prestations familiales": "mediumpurple",
    "Prestations sociales": "mediumaquamarine",
    "Prestation unifiée": ipp_colors["ipp_light_blue"],
    "Revenu brut du travail": ipp_colors["ipp_blue"],
    "Revenus du capital net d'impôts": ipp_colors["ipp_blue"],
    "Revenus du chomage net": None,
    "Revenus du travail": ipp_colors["ipp_blue"],
    "Revenu disponible": "crimson",
    "Revenu disponible (avant réforme)": "black",
    "Revenu disponible (après réforme)": "black",
    "Revenu du capital net d'impôts": ipp_colors["ipp_blue"],
    "Revenu du capital net de prélèvements sociaux": ipp_colors["ipp_blue"],
    "Revenu du travail net d'impôts": ipp_colors["ipp_blue"],
    "Revenu universel": "crimson",
    "RLS": "mediumspringgreen",
    "Revenu de Solidarité Active": "indianred",
    "Salaire net": "blue",
    "Taux marginal de taxation (avant réforme)": ipp_colors["ipp_blue"],
    "Taux marginal de taxation (après réforme)": ipp_colors["ipp_very_dark_blue"],
    "Taux moyen de taxation (avant réforme)": ipp_colors["ipp_blue"],
    "Taux moyen de taxation (après réforme)": ipp_colors["ipp_very_dark_blue"],
    "Taxe négative": "mediumpurple",
}

default_test_case_graph_decomposition = [
    # Order matters for graph !
    "revenus_nets_du_capital_net_impots_directs",
    "revenus_nets_du_travail_net_impots_directs",
    "pensions_nettes",
    "impots_directs",
    "prestations_familiales",
    "minima_sociaux",
    "aides_logement",
]
